Subject: Action arguments of type DateTime throw Exception
Description

If an action argument is an object, the ValidationResolver tries to instantiates that object to use it as Validator without checking the
Interface.
So a simple controller action like following

1public function someAction(\DateTime $date) {
2}

Provokes an exception DateTime::__construct() expects parameter 1 to be string, array given

Related issues:
duplicates TYPO3.Flow - Bug # 34048: ResolveValidator breaks on DateTime meth... Closed 2012-02-17

Associated revisions
Revision 5d1aa1b9 - 2012-04-25 23:38 - Bastian Waidelich

[BUGFIX] Action arguments of type DateTime throw Exception

If an action argument is an object, the ValidatorResolver tries to
instantiate that object to use it as Validator without checks.

This change solves this by checking if the specified object implements
the ValidatorInterface.

Change-Id: Iaa28dca76da7853236faef0cefd3430d07dd2eef
Fixes: #35338
Releases: 1.0, 1.1

Revision 64a8f498 - 2012-06-05 11:28 - Bastian Waidelich

[BUGFIX] Action arguments of type DateTime throw Exception

If an action argument is an object, the ValidatorResolver tries to
instantiate that object to use it as Validator without checks.

This change solves this by checking if the specified object implements
the ValidatorInterface.
Change-Id: Iaa28dca76da7853236faef0cefd3430d07dd2eef
Fixes: #35338
Releases: 1.0, 1.1

History
#1 - 2012-03-28 19:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#2 - 2012-03-30 21:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#3 - 2012-04-19 12:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#4 - 2012-04-24 18:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#5 - 2012-04-25 23:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#6 - 2012-04-25 23:38 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10069

#7 - 2012-04-25 23:40 - Karsten Dambekalns
- Status changed from Under Review to Closed

Closing as duplicate of #35338.

#8 - 2012-04-25 23:42 - Karsten Dambekalns
- Status changed from Closed to Under Review
- Target version changed from 1.1 to 1.0.5
- Affected Flow version changed from Git master to Git 1.0

Karsten Dambekalns wrote:

Closing as duplicate of #35338.

I have seen this once already, that closing a related bug closes the "other side" as well. Pffft.

#9 - 2012-04-26 02:38 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5d1aa1b9aba4f1f80e0c82fd950b62aad4ee6b88.

#10 - 2012-06-05 11:29 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11834

#11 - 2012-06-05 15:37 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:64a8f49896332e8f69c9d01ba2f6e68f0640e213.
